<?php

/****

Periodic Theme Options

*****/

$themename = "Periodic";
$shortname = "wap8";
$version = "1.0";
$categories = get_categories('hide_empty=1&orderby=name&exclude=1');
$wp_cats = array();
	foreach ($categories as $category_list ) {
		$wp_cats[$category_list->cat_ID] = $category_list->cat_name;
	}
	array_unshift($wp_cats, "Choose a category");

global $options;
$options = array (

	array(
		"name" => __( 'General Settings', 'periodic' ),
 		"type" => "section"
 		),

		array(
			"type" => "open"
		),

			array(
				"name" => __( 'Color Scheme', 'periodic' ),
				"desc" => __( 'Select a color scheme for the theme.', 'periodic' ),
				"id" => $shortname."_css",
				"type" => "select",
				"options" => array("None", "Legacy Purple", "Legacy Red", "Legacy Orange", "Legacy Pink", "Legacy Blue", "Legacy Green", "Dark Spectrum Purple", "Dark Spectrum Red", "Dark Spectrum Orange", "Dark Spectrum Pink", "Dark Spectrum Blue", "Dark Spectrum Green", "Black and Purple", "Black and Red", "Black and Orange", "Black and Pink", "Black and Blue", "Black and Green"),
				"std" => "Legacy Purple"
				),
				
			array(
				"name" => __( 'Logo Image URL', 'periodic' ),
				"desc" => __( 'Paste the full path to your logo image file. If left empty, plain text will be used in its place. The recommended max width is 250px.', 'periodic' ),
				"id" => $shortname."_logo",
				"type" => "text",
				"std" => ""
			),
			
			array(
				"name" => __( 'Favicon Image URL', 'periodic' ),
				"desc" => __( 'Paste the full path to your 16x16 favicon.ico file.', 'periodic' ),
				"id" => $shortname."_favicon",
				"type" => "text",
				"std" => ""
			),
			
			array(
				"name" => __( 'Enable Theme Options Link', 'periodic' ),
				"desc" => __( 'Check this option if you would like to have a link to your Theme Options page in your Admin Nav Bar. This link will appear as a drop down in the Appearance menu. <strong>You must be running WordPress 3.1, or higher, to use this option.</strong>', 'periodic' ),
				"id" => $shortname."_admin_bar_link",
				"type" => "checkbox",
				"std" => ""
				),
			
		array(
			"type" => "close"
		),
		
	array(
		"name" => __( 'Leaderboard Banner Ad &amp; Masthead Banner Ad', 'periodic' ),
		"type" => "section"	
	),
	
		array(
			"type" => "open"
		),
		
			array(
				"name" => __( '728x90 Banner Image URL or Advertising Code', 'periodic' ),
				"desc" => __( 'Paste the full path to your self hosted 728x90 banner image inside of an image tag &#40;Example: &lt;img src=&quot;FULL PATH TO IMAGE&quot; /&gt;&#41;. You may wrap the banner with an anchor tag. For Advertising Codes, paste the entire provided code. If this option is left blank, no banner image will display. This ad will be centered and appear above the logo.', 'periodic' ),
				"id" => $shortname."_728banner",
				"type" => "textarea",
				"std" => ""
			),
		
			array(
				"name" => __( '468x90 Banner Image URL or Advertising Code', 'periodic' ),
				"desc" => __( 'Paste the full path to your self hosted 468x60 banner image inside of an image tag &#40;Example: &lt;img src=&quot;FULL PATH TO IMAGE&quot; /&gt;&#41;. You may wrap the banner with an anchor tag. For Advertising Codes, paste the entire provided code. If this option is left blank, no banner image will display. This ad will appear to the right of the logo.', 'periodic' ),
				"id" => $shortname."_banner",
				"type" => "textarea",
				"std" => ""
			),
		
		array(
			"type" => "close"
		),
		
	array(
		"name" => __( 'Masthead Carousel Slider Settings', 'periodic' ),
		"type" => "section"
	),
	
		array(
			"type" => "open"
		),

			array(
				"name" => __( 'Enable Masthead Carousel Slider', 'periodic' ),
				"desc" => __( 'Check this option to show the Carousel Slider on the Home Page. Once enabled, this module will display posts, in a carousel style slider, above the main navigation of the home page. You will need to choose all of the following options for this to function properly.', 'periodic' ),
				"id" => $shortname."_pop_show",
				"type" => "checkbox",
				"std" => ""
			),
			
			array(
				"name" => __( 'Carousel Slider Title', 'periodic' ),
				"desc" => __( 'Enter a title for your Masthead Carousel Slider. This title will appear to the left of the open and closing mechanism for the slider.', 'periodic' ),
				"id" => $shortname."_carousel_title",
				"type" => "text",
				"std" => ""
			),
						
			array(
				"name" => __( 'Content Type for Carousel Slider', 'periodic' ),
				"desc" => __( 'Choose the Content Type for your Carousel Slider. You can have either a Popular Post or Category Based Slider.', 'periodic' ),
				"id" => $shortname."_carousel_type",
				"type" => "select",
				"options" => array(
					__( 'Popular Posts', 'periodic' ),
					__( 'Category Based', 'periodic' )
					),
				"std" => ""
			),
			
			array(
				"name" => __( 'Select Carousel Slider Post Category', 'periodic' ),
				"desc" => __( 'Choose a category for the Carousel Slider if you have chosen Category Based above.', 'periodic' ),
				"id" => $shortname."_carousel_cat",
				"type" => "select",
				"options" => $wp_cats,
				"std" => ""
			),
			
			array(
				"name" => __( 'How Many Carousel Slider Posts?', 'periodic' ),
				"desc" => __( 'Select how many Carousel Slider Posts to display.', 'periodic' ),
				"id" => $shortname."_post_carousel_count",
				"type" => "select",
				"options" => array("8", "12", "16", "20"),
				"std" => "8"
			),
			
			array(
				"name" => __( 'Highlight Popular Carousel Slider Posts', 'periodic' ),
 				"desc" => __( 'Check this option if you wish to highlight your Carousel Slider Posts with a star, based on amount of comments left on a post. Once enabled, you can optionally choose how many comments a post must have before it will display a star.', 'periodic' ),
				"id" => $shortname."_carousel_star",
				"type" => "checkbox",
				"std" => ""
			),
			
			array(
				"name" => __( 'Minimum Comments Needed to be Starred?', 'periodic' ),
				"desc" => __( 'Choose the minimum amount of comments needed for a post to be starred. Please note that trackbacks and pingbacks are not included in the comment count.', 'periodic' ),
				"id" => $shortname."_carousel_comments",
				"type" => "select",
				"options" => array("5", "10", "15", "20", "25", "50", "75", "100"),
				"std" => "5"
			),
			
			array(
				"name" => __( 'Highlight video posts in the Carousel Slider?', 'periodic' ),
				"desc" => __( 'If yes, any posts, within the slider, that are also video posts, will be highlighted with a video camera icon.', 'periodic' ),
				"id" => $shortname."_camera_carousel",
				"type" => "select",
				"options" => array(
					__( 'Yes', 'periodic' ),
					__( 'No', 'periodic' )
					),
				"std" => "Yes"
			),
		
		array(
			"type" => "close"
		),

	array(
		"name" => __( 'Featured Post Slider', 'periodic' ),
		"type" => "section"
	),
	
		array(
			"type" => "open"
		),
		
			array(
				"name" => __( 'Enable Featured Posts Slider', 'periodic' ),
				"desc" => __( 'Check this option to show the Featured Post Slider. When checked this will display your 6 most recent posts from the category you choose in the next option.', 'periodic' ),
				"id" => $shortname."_features",
				"type" => "checkbox",
				"std" => ""
			),
			
			array(
				"name" => __( 'Select Featured Post Category', 'periodic' ),
				"desc" => __( 'Choose a category for the Featured Post Slider to display your 6 most recent posts from this category.', 'periodic' ),
				"id" => $shortname."_features_cat",
				"type" => "select",
				"options" => $wp_cats,
				"std" => ""
			),
		
		array(
			"type" => "close"
		),
		
	array(
		"name" => __( 'Home Page Layout Options', 'periodic' ),
		"type" => "section"
	),
	
		array(
			"type" => "open"
		),
		
			array(
				"name" => __( 'Select Home Page Layout', 'periodic' ),
				"desc" => __( 'Choose the layout style you would like for your Home Page. If you select <strong>Category Blocks</strong>, you will be able to set up your blocks in the next section.', 'periodic' ),
				"id" => $shortname."_home_layout",
				"type" => "select",
				"options" => array(
					__( 'Category Blocks', 'periodic' ),
					__( 'Blog', 'periodic' )
					),
				"std" => ""
			),
		
		array(
			"type" => "close"
		),
		
	array(
		"name" => __( 'Home Page Lead Headline &amp; Thumbnail Blocks Settings', 'periodic' ),
		"type" => "section"
	),
	
		array(
			"type" => "open"
		),
		
			array(
				"name" => __( 'Enable Lead Headline &amp; Thumbnail Block 1', 'periodic' ),
				"desc" => __( 'Check this option to display the first Lead Headline &amp; Thumbnail Block. This block will display 2 columns of posts from the categories you choose in the next set of options. You will also be able to set the amount of posts displayed from the categories chosen. The most recent post will have a 290x125 thumbnail and the remaining will have a 60x60 thumbnail.', 'periodic' ),
				"id" => $shortname."_leadthumb1_show",
				"type" => "checkbox",
				"std" => ""
			),
			
			array(
				"name" => __( 'How Many Lead Headline &amp; Thumbnail Block 1 Posts?', 'periodic' ),
				"desc" => __( 'Select how many Lead Headline &amp; Thumbnail Block 1 Posts to display. The amount you set here will be for both columns.', 'periodic' ),
				"id" => $shortname."_post_leadthumb1",
				"type" => "select",
				"options" => array("5", "10", "15", "20"),
				"std" => "5"
			),
			
			array(
				"name" => __( 'Select Lead Headline &amp; Thumbnail Block 1 Left Category', 'periodic' ),
				"desc" => __( 'Choose a category for Lead Headline &amp; Thumbnail Block 1 Left Column to display your most recent posts from this category.', 'periodic' ),
				"id" => $shortname."_leadthumb1_left",
				"type" => "select",
				"options" => $wp_cats,
				"std" => ""
			),
			
			array(
				"name" => __( 'Highlight video posts in this category?', 'periodic' ),
				"desc" => __( 'If yes, any posts, within your selected category that are also video posts, will be highlighted with a video camera icon.', 'periodic' ),
				"id" => $shortname."_camera_leadthumb1_left",
				"type" => "select",
				"options" => array(
					__( 'Yes', 'periodic' ),
					__( 'No', 'periodic' )
					),
				"std" => __( 'Yes', 'periodic' )
			),
			
			array(
				"name" => __( 'Select Lead Headline &amp; Thumbnail Block 1 Right Category', 'periodic' ),
				"desc" => __( 'Choose a category for Lead Headline &amp; Thumbnail Block 1 Right Column to display your most recent posts from this category.', 'periodic' ),
				"id" => $shortname."_leadthumb1_right",
				"type" => "select",
				"options" => $wp_cats,
				"std" => ""
			),
			
			array(
				"name" => __( 'Would you like to mark video post, for this category, with an icon?', 'periodic' ),
				"desc" => __( 'If yes, any posts, within your selected category that are also video posts, will be marked with a video camera icon.', 'periodic' ),
				"id" => $shortname."_camera_leadthumb1_right",
				"type" => "select",
				"options" => array(
					__( 'Yes', 'periodic' ),
					__( 'No', 'periodic' )
					),
				"std" => __( 'Yes', 'periodic' )
			),
			
			array(
				"name" => __( 'Enable Lead Headline &amp; Thumbnail Block 2', 'periodic' ),
				"desc" => __( 'Check this option to display the second Lead Headline &amp; Thumbnail Block. This block will display 2 columns of posts from the categories you choose in the next set of options. You will also be able to set the amount of posts displayed from the categories chosen. The most recent post will have a 290x125 thumbnail and the remaining will have a 60x60 thumbnail.', 'periodic' ),
				"id" => $shortname."_leadthumb2_show",
				"type" => "checkbox",
				"std" => ""
			),
			
			array(
				"name" => __( 'How Many Lead Headline &amp; Thumbnail Block 2 Posts?', 'periodic' ),
				"desc" => __( 'Select how many Lead Headline &amp; Thumbnail Block 2 Posts to display. The amount you set here will be for both columns.', 'periodic' ),
				"id" => $shortname."_post_leadthumb2",
				"type" => "select",
				"options" => array("5", "10", "15", "20"),
				"std" => "5"
			),
			
			array(
				"name" => __( 'Select Lead Headline &amp; Thumbnail Block 2 Left Category', 'periodic' ),
				"desc" => __( 'Choose a category for Lead Headline &amp; Thumbnail Block 2 Left Column to display your most recent posts from this category.', 'periodic' ),
				"id" => $shortname."_leadthumb2_left",
				"type" => "select",
				"options" => $wp_cats,
				"std" => ""
			),
			
			array(
				"name" => __( 'Would you like to mark video post, for this category, with an icon?', 'periodic' ),
				"desc" => __( 'If yes, any posts, within your selected category that are also video posts, will be marked with a video camera icon.', 'periodic' ),
				"id" => $shortname."_camera_leadthumb2_left",
				"type" => "select",
				"options" => array(
					__( 'Yes', 'periodic' ),
					__( 'No', 'periodic' )
					),
				"std" => __( 'Yes', 'periodic' )
			),
			
			array(
				"name" => __( 'Select Lead Headline &amp; Thumbnail Block 2 Right Category', 'periodic' ),
				"desc" => __( 'Choose a category for Lead Headline &amp; Thumbnail Block 2 Right Column to display your most recent posts from this category.', 'periodic' ),
				"id" => $shortname."_leadthumb2_right",
				"type" => "select",
				"options" => $wp_cats,
				"std" => ""
			),
			
			array(
				"name" => __( 'Would you like to mark video post, for this category, with an icon?', 'periodic' ),
				"desc" => __( 'If yes, any posts, within your selected category that are also video posts, will be marked with a video camera icon.', 'periodic' ),
				"id" => $shortname."_camera_leadthumb2_right",
				"type" => "select",
				"options" => array(
					__( 'Yes', 'periodic' ),
					__( 'No', 'periodic' )
					),
				"std" => __( 'Yes', 'periodic' )
			),
		
		array(
			"type" => "close"
		),
		
	array(
		"name" => __( 'Home Page Lead Headline Blocks Settings', 'periodic' ),
		"type" => "section"
	),
	
		array(
			"type" => "open"
		),
		
			array(
				"name" => __( 'Enable Lead Headline Block 1', 'periodic' ),
				"desc" => __( 'Check this option to display the first Lead Headline Block. This block will display 2 columns of posts from the categories you choose in the next set of options. You will also be able to set the amount of posts displayed from the categories chosen. The most recent post will have a 290x125 thumbnail.', 'periodic' ),
				"id" => $shortname."_lead1_show",
				"type" => "checkbox",
				"std" => ""
			),
			
			array(
				"name" => __( 'How Many Lead Headline Block 1 Posts?', 'periodic' ),
				"desc" => __( 'Select how many Lead Headline Block 1 Posts to display. The amount you set here will be for both columns.', 'periodic' ),
				"id" => $shortname."_post_lead1",
				"type" => "select",
				"options" => array("5", "10", "15", "20"),
				"std" => "5"
			),
			
			array(
				"name" => __( 'Select Lead Headline Block 1 Left Category', 'periodic' ),
				"desc" => __( 'Choose a category for Lead Headline Block 1 Left Column to display your most recent posts from this category.', 'periodic' ),
				"id" => $shortname."_lead1_left",
				"type" => "select",
				"options" => $wp_cats,
				"std" => ""
			),
			
			array(
				"name" => __( 'Would you like to mark video post, for this category, with an icon?', 'periodic' ),
				"desc" => __( 'If yes, any posts, within your selected category, that are also video posts, will be marked with a video camera icon.', 'periodic' ),
				"id" => $shortname."_camera_lead1_left",
				"type" => "select",
				"options" => array(
					__( 'Yes', 'periodic' ),
					__( 'No', 'periodic' )
					),
				"std" => __( 'Yes', 'periodic' )
			),
			
			array(
				"name" => __( 'Select Lead Headline Block 1 Right Category', 'periodic' ),
				"desc" => __( 'Choose a category for Lead Headline Block 1 Right Column to display your 5 most recent posts from this category.', 'periodic' ),
				"id" => $shortname."_lead1_right",
				"type" => "select",
				"options" => $wp_cats,
				"std" => ""
			),
			
			array(
				"name" => __( 'Would you like to mark video post, for this category, with an icon?', 'periodic' ),
				"desc" => __( 'If yes, any posts, within your selected category, that are also video posts, will be marked with a video camera icon.', 'periodic' ),
				"id" => $shortname."_camera_lead1_right",
				"type" => "select",
				"options" => array(
					__( 'Yes', 'periodic' ),
					__( 'No', 'periodic' )
					),
				"std" => __( 'Yes', 'periodic' )
			),
			
			array(
				"name" => __( 'Enable Home Page Lead Headline Block 2', 'periodic' ),
				"desc" => __( 'Check this option to display the second Lead Headline &amp; Block. This block will display 2 columns of posts from the categories you choose in the next set of options. You will also be able to set the amount of posts displayed from the categories chosen. The most recent post will have a 290x125 thumbnail.', 'periodic' ),
				"id" => $shortname."_lead2_show",
				"type" => "checkbox",
				"std" => ""
			),
			
			array(
				"name" => __( 'How Many Lead Headline Block 2 Posts?', 'periodic' ),
				"desc" => __( 'Select how many Lead Headline Block 2 Posts to display. The amount you set here will be for both columns.', 'periodic' ),
				"id" => $shortname."_post_lead2",
				"type" => "select",
				"options" => array("5", "10", "15", "20"),
				"std" => "5"
			),
			
			array(
				"name" => __( 'Select Lead Headline Block 2 Left Category', 'periodic' ),
				"desc" => __( 'Choose a category for Lead Headline Block 2 Left Column to display your most recent posts from this category.', 'periodic' ),
				"id" => $shortname."_lead2_left",
				"type" => "select",
				"options" => $wp_cats,
				"std" => ""
			),
			
			array(
				"name" => __( 'Would you like to mark video post, for this category, with an icon?', 'periodic' ),
				"desc" => __( 'If yes, any posts, within your selected category, that are also video posts, will be marked with a video camera icon.', 'periodic' ),
				"id" => $shortname."_camera_lead2_left",
				"type" => "select",
				"options" => array(
					__( 'Yes', 'periodic' ),
					__( 'No', 'periodic' )
					),
				"std" => __( 'Yes', 'periodic' )
			),
			
			array(
				"name" => __( 'Select Lead Headline Block 2 Right Category', 'periodic' ),
				"desc" => __( 'Choose a category for Lead Headline Block 2 Right Column to display your 5 most recent posts from this category.', 'periodic' ),
				"id" => $shortname."_lead2_right",
				"type" => "select",
				"options" => $wp_cats,
				"std" => ""
			),
			
			array(
				"name" => __( 'Would you like to mark video post, for this category, with an icon?', 'periodic' ),
				"desc" => __( 'If yes, any posts, within your selected category, that are also video posts, will be marked with a video camera icon.', 'periodic' ),
				"id" => $shortname."_camera_lead2_right",
				"type" => "select",
				"options" => array(
					__( 'Yes', 'periodic' ),
					__( 'No', 'periodic' )
					),
				"std" => __( 'Yes', 'periodic' )
			),		
		
		array(
			"type" => "close"
		),
	
	array(
		"name" => __( 'Home Page Thumbnail Blocks Settings', 'periodic' ),
		"type" => "section"
	),
	
		array(
			"type" => "open"
		),
		
			array(
				"name" => __( 'Enable Thumbnail Block 1', 'periodic' ),
				"desc" => __( 'Check this option to display the first Thumbnail Block. This block will display 2 columns of posts, from the categories you choose in the next set of options. You will also be able to set the amount of posts displayed from the categories chosen. Each post will have a 60x60 thumbnail.', 'periodic' ),
				"id" => $shortname."_thumb1_show",
				"type" => "checkbox",
				"std" => ""
			),
			
			array(
				"name" => __( 'How Many Thumbnail Block 1 Posts?', 'periodic' ),
				"desc" => __( 'Select how many Thumbnail Block 1 Posts to display. The amount you set here will be for both columns.', 'periodic' ),
				"id" => $shortname."_post_thumb1",
				"type" => "select",
				"options" => array("5", "10", "15", "20"),
				"std" => "5"
			),
			
			array(
				"name" => __( 'Select Thumbnail Block 1 Left Category', 'periodic' ),
				"desc" => __( 'Choose a category for Thumbnail Block 1 Left Column to display your most recent posts from this category.', 'periodic' ),
				"id" => $shortname."_thumb1_left",
				"type" => "select",
				"options" => $wp_cats,
				"std" => ""
			),
			
			array(
				"name" => __( '"Would you like to mark video post, for this category, with an icon?', 'periodic' ),
				"desc" => __( 'If yes, any posts, within your selected category, that are also video posts, will be marked with a video camera icon.', 'periodic' ),
				"id" => $shortname."_camera_thumb1_left",
				"type" => "select",
				"options" => array(
					__( 'Yes', 'periodic' ),
					__( 'No', 'periodic' )
					),
				"std" => __( 'Yes', 'periodic' )
			),
			
			array(
				"name" => __( 'Select Thumbnail Block 1 Right Category', 'periodic' ),
				"desc" => __( 'Choose a category for Thumbnail Block 1 Right Column to display your most recent posts from this category.', 'periodic' ),
				"id" => $shortname."_thumb1_right",
				"type" => "select",
				"options" => $wp_cats,
				"std" => ""
			),
			
			array(
				"name" => __( 'Would you like to mark video post, for this category, with an icon?', 'periodic' ),
				"desc" => __( 'If yes, any posts, within your selected category, that are also video posts, will be marked with a video camera icon.', 'periodic' ),
				"id" => $shortname."_camera_thumb1_right",
				"type" => "select",
				"options" => array(
					__( 'Yes', 'periodic' ),
					__( 'No', 'periodic' )
					),
				"std" => __( 'Yes', 'periodic' )
			),
			
			array(
				"name" => __( 'Enable Thumbnail Block 2', 'periodic' ),
				"desc" => __( 'Check this option to display the second Thumbnail Block. This block will display 2 columns of posts, from the categories you choose in the next set of options. You will also be able to set the amount of posts displayed from the categories chosen. Each post will have a 60x60 thumbnail.', 'periodic' ),
				"id" => $shortname."_thumb2_show",
				"type" => "checkbox",
				"std" => ""
			),
			
			array(
				"name" => __( 'How Many Thumbnail Block 2 Posts?', 'periodic' ),
				"desc" => __( 'Select how many Thumbnail Block 2 Posts to display. The amount you set here will be for both columns.', 'periodic' ),
				"id" => $shortname."_post_thumb2",
				"type" => "select",
				"options" => array("5", "10", "15", "20"),
				"std" => "5"
			),
			
			array(
				"name" => __( 'Select Thumbnail Block 2 Left Category', 'periodic' ),
				"desc" => __( 'Choose a category for Thumbnail Block 2 Left Column to display your most recent posts from this category.', 'periodic' ),
				"id" => $shortname."_thumb2_left",
				"type" => "select",
				"options" => $wp_cats,
				"std" => ""
			),
			
			array(
				"name" => __( 'Would you like to mark video post, for this category, with an icon?', 'periodic' ),
				"desc" => __( 'If yes, any posts, within your selected category, that are also video posts, will be marked with a video camera icon.', 'periodic' ),
				"id" => $shortname."_camera_thumb2_left",
				"type" => "select",
				"options" => array(
					__( 'Yes', 'periodic' ),
					__( 'No', 'periodic' )
					),
				"std" => __( 'Yes', 'periodic' )
			),
			
			array(
				"name" => __( 'Select Thumbnail Block 2 Right Category', 'periodic' ),
				"desc" => __( 'Choose a category for Thumbnail Block 2 Right Column to display your most recent posts from this category.', 'periodic' ),
				"id" => $shortname."_thumb2_right",
				"type" => "select",
				"options" => $wp_cats,
				"std" => ""
			),
			
			array(
				"name" => __( 'Would you like to mark video post, for this category, with an icon?', 'periodic' ),
				"desc" => __( 'If yes, any posts, within your selected category, that are also video posts, will be marked with a video camera icon.', 'periodic' ),
				"id" => $shortname."_camera_thumb2_left",
				"type" => "select",
				"options" => array(
					__( 'Yes', 'periodic' ),
					__( 'No', 'periodic' )
					),
				"std" => __( 'Yes', 'periodic' )
			),		
		
		array(
			"type" => "close"
		),
		
	array(
		"name" => __( 'Home Page Headline Blocks Settings', 'periodic' ),
		"type" => "section"
	),
	
		array(
			"type" => "open"
		),

			array(
				"name" => __( 'Enable Headline Block 1', 'periodic' ),
				"desc" => __( 'Check this option to display the first Headline Block. This block will display 2 columns of posts from the categories you choose in the next set of options. You will also be able to set the amount of posts displayed from the categories chosen. There are no thumbnails with these posts.', 'periodic' ),
				"id" => $shortname."_headline1_show",
				"type" => "checkbox",
				"std" => ""
			),
			
			array(
				"name" => __( 'How Many Headline Block 1 Posts?', 'periodics' ),
				"desc" => __( 'Select how many Headline Block 1 Posts to display. The amount you set here will be for both columns.', 'periodic' ),
				"id" => $shortname."_post_headline1",
				"type" => "select",
				"options" => array("5", "10", "15", "20"),
				"std" => "5"
			),	
			
			array(
				"name" => __( 'Select Headline Block 1 Left Category', 'periodic' ),
				"desc" => __( 'Choose a category for Headline Block 1 Left Column to display your most recent posts from this category.', 'periodic' ),
				"id" => $shortname."_headline1_left",
				"type" => "select",
				"options" => $wp_cats,
				"std" => ""
			),		
			
			array(
				"name" => __( 'Select Headline Block 1 Right Category', 'periodic' ),
				"desc" => __( 'Choose a category for Headline Block 1 Right Column to display your most recent posts from this category.', 'periodic' ),
				"id" => $shortname."_headline1_right",
				"type" => "select",
				"options" => $wp_cats,
				"std" => ""
			),
			
			array(
				"name" => __( 'Enable Headline Block 2', 'periodic' ),
				"desc" => __( 'Check this option to display the second Headline Block. This block will display 2 columns of posts from the categories you choose in the next set of options. You will also be able to set the amount of posts displayed from the categories chosen. There are no thumbnails with these posts.', 'periodic' ),
				"id" => $shortname."_headline2_show",
				"type" => "checkbox",
				"std" => ""
			),
			
			array(
				"name" => __( 'How Many Headline Block 2 Posts?', 'periodic' ),
				"desc" => __( 'Select how many Headline Block 2 Posts to display. The amount you set here will be for both columns.', 'periodic' ),
				"id" => $shortname."_post_headline2",
				"type" => "select",
				"options" => array("5", "10", "15", "20"),
				"std" => "5"
			),
			
			array(
				"name" => __( 'Select Headline Block 2 Left Category', 'periodic' ),
				"desc" => __( 'Choose a category for Headline Block 2 Left Column to display your most recent posts from this category.', 'periodic' ),
				"id" => $shortname."_headline2_left",
				"type" => "select",
				"options" => $wp_cats,
				"std" => ""
			),
			
			array(
				"name" => __( 'Select Headline Block 2 Right Category', 'periodic' ),
				"desc" => __( 'Choose a category for Headline Block 2 Right Column to display your most recent posts from this category.', 'periodic' ),
				"id" => $shortname."_headline2_right",
				"type" => "select",
				"options" => $wp_cats,
				"std" => ""
			),
		
		array(
			"type" => "close"
		),
		
	array(
		"name" => __( 'Utility Navigation Social Settings', 'periodic' ),
		"type" => "section"
	),
	
		array(
			"type" => "open"
		),
		
			array(
				"name" => __( 'Feedburner URL', 'periodic' ),
				"desc" => __( 'Paste your Feedburner URL to redirect RSS Subscriptions to Feedburner.', 'periodic' ),
				"id" => $shortname."_feed",
				"type" => "text",
				"std" => get_bloginfo('rss2_url')
			),
			
			array(
				"name" => __( 'Twitter Username', 'periodic' ),
				"desc" => __( 'Enter your Twitter Username. Leaving this field blank will remove the link in the Top Navigation.', 'periodic' ),
				"id" => $shortname."_twitter_user",
				"type" => "text",
				"std" => ""
			),
			
			array(
				"name" => __( 'Facebook Page URL', 'periodic' ),
				"desc" => __( 'Enter your Facebook Page URL. Leaving this field blank will remove the link from the Top Navigation.', 'periodic' ),
				"id" => $shortname."_facebook",
				"type" => "text",
				"std" => ""
			),
		
		array(
			"type" => "close"
		),
		
	array(
		"name" => __( 'Post &amp; Video Settings', 'periodic' ),
		"type" => "section"
	),
	
		array(
			"type" => "open"
		),
		
			array (
				"name" => __( 'Enable Press75 Simple Video Embedder Integration', 'periodic' ),
				"desc" => __( 'Check this option to use the Press75 Simple Video Embedder. This free plug in will allow you to post videos from YouTube, Vimeo or Self Hosted FLV and MP4 Files. Before enabling this option, you must download, install and activate the plug in. <strong>Videos will not play in an overlay with this option enabled.</strong>', 'periodic' ),
				"id" => $shortname."_press75_on",
				"type" => "checkbox",
				"std" => ""
			),
		
			array (
				"name" => __( 'Enable Post Featured Image', 'periodic' ),
				"desc" => __( 'Check this option to display the featured image at the top of the post. If you leave this disabled, Periodic will no longer create this version of an image after upload.', 'periodic' ),
				"id" => $shortname."_post_img",
				"type" => "checkbox",
				"std" => ""
			),
			
			array(
				"name" => __( 'Enable Author Gravatar', 'periodic' ),
				"desc" => __( 'Check this option to display the Author Gravatar to the left of the post title.', 'periodic' ),
				"id" => $shortname."_author_gravatar",
				"type" => "checkbox",
				"std" => ""
			),
			
			array(
				"name" => __( 'Enable Post Author Box', 'periodic' ),
				"desc" => __( 'Check this option to display the Post Author Box at the end of the post with a Gravatar image.', 'periodic' ),
				"id" => $shortname."_post_author",
				"type" => "checkbox",
				"std" => ""
			),
			
			array(
				"name" => __( 'Enable Related Posts Module', 'periodic' ),
				"desc" => __( 'Check this option to display Related Posts at the end of your post.', 'periodic' ),
				"id" => $shortname."_post_rel",
				"type" => "checkbox",
				"std" => ""
			),
			
			array(
				"name" => __( 'Related Posts Heading', 'periodic' ),
				"desc" => __( 'Enter Related Posts Module Heading.', 'periodic' ),
				"id" => $shortname."_post_rel_title",
				"type" => "text",
				"std" => __( 'Related Articles', 'periodic' )
			),
			
			array(
				"name" => __( 'How Many Related Posts?', 'periodic' ),
				"desc" => __( 'Select how many Related Posts to display.', 'periodic' ),
				"id" => $shortname."_post_rel_count",
				"type" => "select",
				"options" => array("2", "4", "6"),
				"std" => "2"
			),
			
			array(
				"name" => __( 'Enable Share Post Module', 'periodic' ),
				"desc" => __( 'Check this option to display a list of post sharing options for your readers.', 'periodic' ),
				"id" => $shortname."_share_show",
				"type" => "checkbox",
				"std" => ""
			),
			
			array(
				"name" => __( 'Enter Share Post Module Heading', 'periodic' ),
				"desc" => __( 'Enter the heading for the Share Post Module', 'periodic' ),
				"id" => $shortname."_share_title",
				"type" => "text",
				"std" => __( 'Share this Article', 'periodic' )
			),
			
			array(
				"name" => __( 'Enable Twitter Button', 'periodic' ),
				"desc" => __( 'Check this option to display a compact Twitter button with count.', 'periodic' ),
				"id" => $shortname."_show_twitter",
				"type" => "checkbox",
				"std" => ""
			),
			
			array(
				"name" => __( 'Enable StumbleUpon Button', 'periodic' ),
				"desc" => __( 'Check this option to display a compact StumbleUpon button with count.', 'periodic' ),
				"id" => $shortname."_show_su",
				"type" => "checkbox",
				"std" => ""
			),
			
			array(
				"name" => __( 'Enable Digg Button', 'periodic' ),
				"desc" => __( 'Check this option to display a compact Digg button with count.', 'periodic' ),
				"id" => $shortname."_show_digg",
				"type" => "checkbox",
				"std" => ""
			),
			
			array(
				"name" => __( 'Enable Google Plus Button', 'periodic' ),
				"desc" => __( 'Check this option to display a compact Google Plus button.', 'periodic' ),
				"id" => $shortname."_show_gbuzz",
				"type" => "checkbox",
				"std" => ""
			),
			
			array(
				"name" => __( 'Enable Email This Button' , 'periodic' ),
				"desc" => __( 'Check this option to display an Email This button.', 'periodic' ),
				"id" => $shortname."_show_email",
				"type" => "checkbox",
				"std" => ""
			),
			
			array(
				"name" => __( 'Enable Print This Button', 'periodic' ),
				"desc" => __( 'Check this option to display a Print This button.', 'periodic' ),
				"id" => $shortname."_show_print",
				"type" => "checkbox",
				"std" => ""
			),
			
			array(
				"name" => __( 'Default Comment Avatar URL', 'periodic' ),
				"desc" => __( 'Paste full path to your 50x50 default comment avatar.', 'periodic' ),
				"id" => $shortname."_comment_avatar",
				"type" => "text",
				"std" => ""
			),
		
		array(
			"type" => "close"
		),
		
	array(
		"name" => __( 'Archive &amp; Search Results Settings', 'periodic' ),
		"type" => "section"
	),
	
		array(
			"type" => "open"
		),
		
			array(
				"name" => __( 'Enable Category Description', 'periodic' ),
 				"desc" => __( 'Check this option if you wish to display a unique description for each of your categories. Once checked, please make sure you have added your descriptions to your categories.', 'periodic' ),
				"id" => $shortname."_cat_description",
				"type" => "checkbox",
				"std" => ""
			),
				
			array(
				"name" => __( 'Highlight Archived &amp; Searched Posts', 'periodic' ),
 				"desc" => __( 'Check this option if you wish to mark your archived posts and search results with a star, based on amount of comments left on a post. Once enabled, you can optionally choose how many comments a post must have before it will display a star.', 'periodic' ),
				"id" => $shortname."_cat_star",
				"type" => "checkbox",
				"std" => ""
			),
				
			array(
				"name" => __( 'Minimum Comments Needed to be Starred?', 'periodic' ),
				"desc" => __( 'Choose the minimum amount of comments needed for an archived post or a search result to be starred. Please note that trackbacks and pingbacks are not included in the comment count.', 'periodic' ),
				"id" => $shortname."_archive_comments",
				"type" => "select",
				"options" => array("5", "10", "15", "20", "25", "50", "75", "100"),
				"std" => "5"
			),
			
			array(
				"name" => __( 'Highlight video posts in Archives and Search Results?', 'periodic' ),
				"desc" => __( 'If yes, any posts, within the archives and search results, that are also video posts, will be highlighted with a video camera icon. The Video Archives will not be highlighted.', 'periodic' ),
				"id" => $shortname."_camera_archives",
				"type" => "select",
				"options" => array(
					__( 'Yes', 'periodic' ),
					__( 'No', 'periodic' )
					),
				"std" => __( 'Yes', 'periodic' )
			),
		
		array(
			"type" => "close"
		),
		
	array(
		"name" => __( 'Footer Settings', 'periodic' ),
		"type" => "section"
	),
	
		array(
			"type" => "open"
		),
		
			array(
				"name" => __( 'Analytics Tracking Code', 'periodic' ),
 				"desc" => __( 'Paste your Google Analytics or other website tracking code. This will be automatically added to the footer.', 'periodic' ),
				"id" => $shortname."_analytics_code",
				"type" => "textarea",
				"std" => ""),
		
		array(
			"type" => "close"
		),
);

function wap8_add_admin() {

	global $themename, $shortname, $options;

	if ( isset ( $_GET['page'] ) && ( $_GET['page'] == basename(__FILE__) ) ) {

		if ( isset ($_REQUEST['action']) && ( 'save' == $_REQUEST['action'] ) ) {

			foreach ( $options as $value ) {
				if ( array_key_exists('id', $value) ) {
					if ( isset( $_REQUEST[ $value['id'] ] ) ) {
						update_option( $value['id'], $_REQUEST[ $value['id'] ]  );
					} else {
						delete_option( $value['id'] );
					}
				}
			}
			header("Location: admin.php?page=".basename(__FILE__)."&saved=true");
		}

		else if ( isset ($_REQUEST['action']) && ( 'reset' == $_REQUEST['action'] ) ) {

			foreach ($options as $value) {
				if ( array_key_exists('id', $value) ) {
					delete_option( $value['id'] );
				}
			}
			header("Location: admin.php?page=".basename(__FILE__)."&reset=true");
		}
 	}

	add_theme_page($themename, $themename, 'administrator', basename(__FILE__), 'wap8_admin');
	}
	
function wap8_admin() {

    global $themename, $shortname, $version, $options;
	$i=0;

	if ( isset ($_REQUEST['saved']) && ($_REQUEST['saved'] ) )echo '<div id="message" class="updated fade"><p><strong>'.$themename.' settings saved.</strong></p></div>';
	if ( isset ($_REQUEST['reset']) && ($_REQUEST['reset'] ) ) echo '<div id="message" class="updated fade"><p><strong>'.$themename.' settings reset.</strong></p></div>';

	?>

<div class="wrap">
<div class="options_wrap">
<h2 class="settings-title"><?php echo $themename; ?> <?php _e( 'Settings', 'periodic' ); ?></h2>
<p><?php _e('Please refer to the User Manual, included with your package, for instructions on how to set up your site. For future updates to Periodic, please follow us at', 'periodic'); ?> <a href=<?php echo wap8_tf_url(); ?> target="_blank" title="<?php _e('Follow We Are Pixel8 via ThemeForest', 'periodic'); ?>"><?php _e('ThemeForest', 'periodic'); ?></a> <?php _e('or', 'periodic'); ?> <a href=<?php echo wap8_twitter_url(); ?> target="_blank" title="<?php _e('Follow We Are Pixel8 via Twitter', 'periodic'); ?>"><?php _e('Twitter', 'periodic'); ?></a>.</p>
<form method="post">

<?php foreach ($options as $value) {
switch ( $value['type'] ) {
case "section":
?>
	<div class="section_wrap">
	<h3 class="section_title"><?php echo $value['name']; ?></h3>
 	<div class="section_body">

<?php
break;
case 'text':
?>

	<div class="options_input options_text">
		<div class="options_desc"><?php echo $value['desc']; ?></div>
		<span class="labels"><label for="<?php echo $value['id']; ?>"><?php echo $value['name']; ?></label></span>
		<input name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_option( $value['id'] ) != "") { echo stripslashes(get_option( $value['id'])  ); } else { echo $value['std']; } ?>" />
	</div>

<?php
break;
case 'textarea':
?>
	<div class="options_input options_textarea">
		<div class="options_desc"><?php echo $value['desc']; ?></div>
		<span class="labels"><label for="<?php echo $value['id']; ?>"><?php echo $value['name']; ?></label></span>
		<textarea name="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" cols="" rows=""><?php if ( get_option( $value['id'] ) != "") { echo stripslashes(get_option( $value['id']) ); } else { echo $value['std']; } ?></textarea>
	</div>

<?php
break;
case 'select':
?>
	<div class="options_input options_select">
		<div class="options_desc"><?php echo $value['desc']; ?></div>
		<span class="labels"><label for="<?php echo $value['id']; ?>"><?php echo $value['name']; ?></label></span>
		<select name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
		<?php foreach ($value['options'] as $option) { ?>
				<option <?php if (get_option( $value['id'] ) == $option) { echo 'selected="selected"'; } ?>><?php echo $option; ?></option><?php } ?>
		</select>
	</div>

<?php
break;
case "checkbox":
?>
	<div class="options_input options_checkbox">
		<div class="options_desc"><?php echo $value['desc']; ?></div>
		<?php if(get_option($value['id'])){ $checked = "checked=\"checked\""; }else{ $checked = "";} ?>
		<input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
		<label for="<?php echo $value['id']; ?>"><?php echo $value['name']; ?></label>
	 </div>

<?php
break;
case "close":
$i++;
?>
<span class="submit"><input name="save<?php echo $i; ?>" type="submit" value="Save Changes" /></span>
</div><!--#section_body-->
</div><!--#section_wrap-->

<?php break;
}
}
?>

<input type="hidden" name="action" value="save" />
<span class="submit">
<input name="save" type="submit" value="Save All Changes" />
</span>
</form>

<form method="post">
<span class="submit">
<input name="reset" type="submit" value="Reset All Options" />
<input type="hidden" name="action" value="reset" />
</span>
</form>
<br/>
</div><!--#options-wrap-->

</div> <!--#wrap-->
<?php
	}
	add_action('admin_init', 'wap8_add_init');
	add_action('admin_menu' , 'wap8_add_admin');

function wap8_add_init() {

$file_dir=get_bloginfo('template_directory');
wp_enqueue_style("wap8Css", $file_dir."/functions/theme-options.css", false, "1.0", "screen");
wp_enqueue_script("wap8Script", $file_dir."/functions/theme-options.js", false, "1.0");

}

?>