<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">

<html <?php language_attributes(); ?>>

<head>
<meta http-equiv="Content-Type" content="<?php bloginfo( 'html_type' ); ?>; charset=<?php bloginfo( 'charset' ); ?>" />

<!-- Behave IE8 -->
<meta http-equiv="X-UA-Compatible" content="IE=8" />

<title><?php wp_title( ' &#124; ', true, 'right' ); ?><?php bloginfo( 'name' ); ?> &#124; <?php bloginfo( 'description' ); ?></title>

<!-- Favicon -->
<?php if ( get_option('wap8_favicon') != '' ) { ?><link href="<?php echo( stripslashes ( get_option('wap8_favicon') ) );?>" rel="shortcut icon" /><?php } ?>

<!-- Core Stylesheet -->
<link rel="stylesheet" id="periodic-core" href="<?php bloginfo( 'stylesheet_url' ); ?>" type="text/css" media="screen" />
	
<!-- Pingback -->
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />

<?php
if ( is_singular() ) wp_enqueue_script( 'comment-reply' );

if ( get_option( 'wap8_show_twitter' ) == 'true' && is_singular() ) wp_enqueue_script( 'twitter-platform-script' );
			
if ( get_option( 'wap8_show_gbuzz' ) == 'true' && is_singular() ) wp_enqueue_script( 'google-plus-script' );

if ( get_option( 'wap8_show_digg' ) == 'true' && is_singular() ) wp_enqueue_script( 'digg-share' );

wp_head(); // delete this and your world will come to an end ?>
</head>

<body <?php body_class(); ?>>
<div id="angles"><!-- Begin site content -->
	<div id="utility-banner" class="clear"><!-- Begin Utility Banner -->
		<div class="inner-wrapper"><!-- Begin inner wrapper -->
		<?php
			if ( function_exists( 'wp_nav_menu' ) ) {
				wp_nav_menu(
					array(
						'theme_location' => 'utility-menu',
						'fallback_cb' => 'periodic_page_menu',
						'menu_class' => 'header-menu'
					)
						
				);
			}
			else {
				periodic_page_menu();
			}
		?>
		
			<ul class="socialize">
				<?php if ( get_option('wap8_facebook') != '' ) { ?><li><a href="<?php echo( stripslashes ( get_option('wap8_facebook') ) );?>" title="<?php _e('Follow us on Facebook','periodic'); ?>"><?php _e('Facebook','periodic'); ?></a></li><?php } ?>
				<?php if ( get_option('wap8_twitter_user') != '' ) { ?><li><a href="http://twitter.com/<?php echo( stripslashes ( get_option('wap8_twitter_user') ) );?>" title="<?php _e('Follow us on Twitter','periodic'); ?>"><?php _e('Twitter','periodic'); ?></a></li><?php } ?>
				<li><a class="get-feed" href="<?php echo( stripslashes ( get_option('wap8_feed') ) );?>" title="<?php _e('Subscribe to our RSS Feed','periodic'); ?>"><?php _e('Subscribe to our Feed','periodic'); ?></a></li>
			</ul>
		</div><!-- End inner wrapper -->
	</div><!-- End Utility Banner -->
	
	<?php if ( get_option('wap8_728banner') != '' ) { ?> 
	<div class="inner-wrapper">
		<div id="banner-728"><!-- Begin 728x90 leaderboard banner ad -->
			<?php echo( stripslashes ( get_option('wap8_728banner') ) );?>
		</div><!-- End 728x90 leaderboard banner ad -->	
	</div>
	<?php } ?>
		
	<div id="masthead" class="clear"><!-- Begin masthead -->
		<div class="inner-wrapper"><!-- Begin inner wrapper -->
			<?php if ( get_option('wap8_logo') != '' ) { ?>
			<p class="logo"><a href="<?php echo home_url(); ?>" title="<?php bloginfo('name'); ?>"><img src="<?php echo( stripslashes ( get_option('wap8_logo') ) );?>" alt="<?php bloginfo('name'); ?>" /></a></p>
			<?php } else { ?>
			<p class="logo-text"><a href="<?php echo home_url(); ?>" title="<?php bloginfo('name'); ?>"><?php bloginfo('name'); ?></a></p>
			<?php } ?>
			<?php if ( get_option('wap8_banner') != '' ) { ?> 
			<div class="masthead-banner">
				<?php echo( stripslashes ( get_option('wap8_banner') ) );?>
			</div>
			<?php } ?>
		</div><!-- End inner wrapper -->
	</div><!-- End masthead -->
	
	<?php if ( get_option('wap8_pop_show') == 'true' ) { locate_template( '/includes/stickyposts.php', true, true ); } ?>
		
	<div id="mainnav-bar" class="clear"><!-- Begin Main Navigation -->
		<?php
			if ( function_exists( 'wp_nav_menu' ) ) {
				wp_nav_menu(
					array(
						'theme_location' => 'main-menu',
						'fallback_cb' => 'periodic_category_menu'
					)
						
				);
			}
			else {
				periodic_category_menu();
			}
		?>
	</div><!-- End Main Navigation -->
