<?php

/*
Plugin Name: 120 x 600 Banner Ad Block Widget
Plugin URI: http://www.wearepixel8.com
Description: A widget that will display a pair of 120x600 banners ads in a block.
Version: 1.0
Author: We Are Pixel8
Author URI: http://www.wearepixel8.com
*/

// Add function to widgets_init that'll load this widget 
add_action( 'widgets_init', 'wap8_120_sky_widget' );

// Register this widget
function wap8_120_sky_widget() {
	register_widget( 'wap8_120_Sky_Widget' );
}

// Extend WP_Widget by adding this widget class
class wap8_120_Sky_Widget extends WP_Widget {

	// Widget setup
	function wap8_120_sky_Widget() {
		$widget_ops = array(
			'classname' => 'wap8_120_sky_widget',
			'description' => __( 'Display a pair of 120x600 banner ads in a block.', 'periodic' )
			);
			
		$control_ops = array(
			'width' => 400,
			'height' => 350
			);
			
		$this->WP_Widget('wap8-120-sky-widget', __( 'Periodic 120x600 Banner Ads', 'periodic' ), $widget_ops, $control_ops);	
	}
	
	// Saved widget display
	function widget( $args, $instance ) {
		extract($args);
		
		$ad120skya = $instance['ad120skya'];
		$ad120skyb = $instance['ad120skyb'];
		
		echo $before_widget;
		
			echo '<div class="banner-120-skyscraper clear">';
				echo $ad120skya;
				echo $ad120skyb;												
			echo '</div>'; 		

		echo $after_widget;
		
	}
	
	// Update widget
	function update( $new_instance, $old_instance ) {
		$instance = $old_instance;
		$instance['ad120skya'] = $new_instance['ad120skya'];
		$instance['ad120skyb'] = $new_instance['ad120skyb'];
		return $instance;
	}
	
	function form( $instance ) {
	
		?>

		<p><small><?php _e('For each banner to appear, you will have to do one of the following. If left blank, no ad will appear.','periodic'); ?></small></p>
		
		<p><small><?php _e('Self Hosted Banner Image: Enter the following code replacing the link URL and image URL with your own','periodic'); ?><br/>
		<code>&lt;a href&#61;&quot;OUTBOUND LINK URL&quot; title&#61;&quot;OUTBOUND LINK TITLE&quot;&gt;&lt;img src&#61;&quot;FULL PATH TO IMAGE&quot; width&#61;&quot;120&quot; height&#61;&quot;600&quot; alt&#61;&quot;YOUR ALT TEXT&quot; &#47;&gt;&lt;&#47;a&gt;</code></small></p>
		<p><small><?php _e('Ad Programs: Enter the the provided code.','periodic'); ?></small></p>
		
		<p><small><?php _e('Shortcode: Enter the the provided shortcode.','periodic'); ?></small></p>

		<p>
			<label for="<?php echo $this->get_field_id('ad120skya'); ?>"><?php _e('120 x 600 Ad 1','periodic'); ?></label><br />
			<textarea class="widefat" rows="16" cols="20" id="<?php echo $this->get_field_id('ad120skya'); ?>" name="<?php echo $this->get_field_name('ad120skya'); ?>"><?php echo $instance['ad120skya']; ?></textarea>
		</p>
		
		<p>
			<label for="<?php echo $this->get_field_id('ad120skyb'); ?>"><?php _e('120 x 600 Ad 2','periodic'); ?></label><br />
			<textarea class="widefat" rows="16" cols="20" id="<?php echo $this->get_field_id('ad120b'); ?>" name="<?php echo $this->get_field_name('ad120skyb'); ?>"><?php echo $instance['ad120skyb']; ?></textarea>
		</p>
				
		<?php		
	
	}
	
}

?>