<?php

/*
Plugin Name: 125 x 125 Banner Ad Block Widget
Plugin URI: http://www.wearepixel8.com
Description: A widget that will display up to 6 125x125 banners ads in a block.
Version: 1.0
Author: We Are Pixel8
Author URI: http://www.wearepixel8.com
*/

// Add function to widgets_init that'll load this widget 
add_action( 'widgets_init', 'wap8_125_ad_widget' );

// Register this widget
function wap8_125_ad_widget() {
	register_widget( 'wap8_125_Ad_Widget' );
}

// Extend WP_Widget by adding this widget class
class wap8_125_ad_Widget extends WP_Widget {

	// Widget setup
	function wap8_125_ad_Widget() {
		$widget_ops = array(
			'classname' => 'wap8_125_ad_widget',
			'description' => __( 'Display up to 6 125x125 banner ads in a block.', 'periodic' )
			);
			
		$control_ops = array(
			'width' => 400,
			'height' => 350
			);
			
		$this->WP_Widget('wap8-125-ad-widget', __( 'Periodic 125x125 Banner Ads', 'periodic' ), $widget_ops, $control_ops);	
	}
	
	// Saved widget display
	function widget( $args, $instance ) {
		extract($args);
		
		$ad125a = $instance['ad125a'];
		$ad125b = $instance['ad125b'];
		$ad125c = $instance['ad125c'];
		$ad125d = $instance['ad125d'];
		$ad125e = $instance['ad125e'];
		$ad125f = $instance['ad125f'];
		
		echo $before_widget;
		
			echo '<div class="banner-125 clear">';
				echo $ad125a;
				echo $ad125b;
				echo $ad125c;
				echo $ad125d;
				echo $ad125e;
				echo $ad125f;												
			echo '</div>'; 		

		echo $after_widget;
		
	}
	
	// Update widget
	function update( $new_instance, $old_instance ) {
		$instance = $old_instance;
		$instance['ad125a'] = $new_instance['ad125a'];
		$instance['ad125b'] = $new_instance['ad125b'];
		$instance['ad125c'] = $new_instance['ad125c'];
		$instance['ad125d'] = $new_instance['ad125d'];
		$instance['ad125e'] = $new_instance['ad125e'];
		$instance['ad125f'] = $new_instance['ad125f'];
		return $instance;
	}
	
	function form( $instance ) {
	
		?>

		<p><small><?php _e('For each banner to appear, you will have to do one of the following. If left blank, no ad will appear.','periodic'); ?></small></p>
		
		<p><small><?php _e('Self Hosted Banner Image: Enter the following code replacing the link URL and image URL with your own','periodic'); ?><br/>
		<code>&lt;a href&#61;&quot;OUTBOUND LINK URL&quot; title&#61;&quot;OUTBOUND LINK TITLE&quot;&gt;&lt;img src&#61;&quot;FULL PATH TO IMAGE&quot; width&#61;&quot;125&quot; height&#61;&quot;125&quot; alt&#61;&quot;YOUR ALT TEXT&quot; &#47;&gt;&lt;&#47;a&gt;</code></small></p>
		<p><small><?php _e('Ad Programs: Enter the the provided code.','periodic'); ?></small></p>
		
		<p><small><?php _e('Shortcode: Enter the the provided shortcode.','periodic'); ?></small></p>

		<p>
			<label for="<?php echo $this->get_field_id('ad125a'); ?>"><?php _e('125 x 125 Ad 1','periodic'); ?></label><br />
			<textarea class="widefat" rows="16" cols="20" id="<?php echo $this->get_field_id('ad125a'); ?>" name="<?php echo $this->get_field_name('ad125a'); ?>"><?php echo $instance['ad125a']; ?></textarea>
		</p>
		
		<p>
			<label for="<?php echo $this->get_field_id('ad125b'); ?>"><?php _e('125 x 125 Ad 2','periodic'); ?></label><br />
			<textarea class="widefat" rows="16" cols="20" id="<?php echo $this->get_field_id('ad125b'); ?>" name="<?php echo $this->get_field_name('ad125b'); ?>"><?php echo $instance['ad125b']; ?></textarea>
		</p>
		
		<p>
			<label for="<?php echo $this->get_field_id('ad125c'); ?>"><?php _e('125 x 125 Ad 3','periodic'); ?></label><br />
			<textarea class="widefat" rows="16" cols="20" id="<?php echo $this->get_field_id('ad125c'); ?>" name="<?php echo $this->get_field_name('ad125c'); ?>"><?php echo $instance['ad125c']; ?></textarea>
		</p>
		
		<p>
			<label for="<?php echo $this->get_field_id('ad125d'); ?>"><?php _e('125 x 125 Ad 4','periodic'); ?></label><br />
			<textarea class="widefat" rows="16" cols="20" id="<?php echo $this->get_field_id('ad125d'); ?>" name="<?php echo $this->get_field_name('ad125d'); ?>"><?php echo $instance['ad125d'];; ?></textarea>
		</p>
		
		<p>
			<label for="<?php echo $this->get_field_id('ad125e'); ?>"><?php _e('125 x 125 Ad 5','periodic'); ?></label><br />
			<textarea class="widefat" rows="16" cols="20" id="<?php echo $this->get_field_id('ad125e'); ?>" name="<?php echo $this->get_field_name('ad125e'); ?>"><?php echo $instance['ad125e'];; ?></textarea>
		</p>
		
		<p>
			<label for="<?php echo $this->get_field_id('ad125f'); ?>"><?php _e('125 x 125 Ad 6','periodic'); ?></label><br />
			<textarea class="widefat" rows="16" cols="20" id="<?php echo $this->get_field_id('ad125f'); ?>" name="<?php echo $this->get_field_name('ad125f'); ?>"><?php echo $instance['ad125f']; ?></textarea>
		</p>
		
		<?php		
	
	}
	
}

?>