<?php

/*
Plugin Name: 300 x 600 Banner Ad Block Widget
Plugin URI: http://www.wearepixel8.com
Description: A widget that will display a single 300x600 banner ad in a block.
Version: 1.0
Author: We Are Pixel8
Author URI: http://www.wearepixel8.com
*/

// Add function to widgets_init that'll load this widget 
add_action( 'widgets_init', 'wap8_300_half_widget' );

// Register this widget
function wap8_300_half_widget() {
	register_widget( 'wap8_300_Half_Widget' );
}

// Extend WP_Widget by adding this widget class
class wap8_300_Half_Widget extends WP_Widget {

	// Widget setup
	function wap8_300_half_Widget() {
		$widget_ops = array(
			'classname' => 'wap8_300_half_widget',
			'description' => __( 'Display a single 300x600 banner ad in a block.', 'periodic' )
			);
			
		$control_ops = array(
			'width' => 400,
			'height' => 350
			);
			
		$this->WP_Widget('wap8-300-half-widget', __( 'Periodic 300x600 Banner Ad', 'periodic' ), $widget_ops, $control_ops);	
	}
	
	// Saved widget display
	function widget( $args, $instance ) {
		extract($args);
		
		$ad300half = $instance['ad300half'];
		
		echo $before_widget;
		
			echo '<div class="banner-halfpage">';
				echo $ad300half;												
			echo '</div>'; 		

		echo $after_widget;
		
	}
	
	// Update widget
	function update( $new_instance, $old_instance ) {
		$instance = $old_instance;
		$instance['ad300half'] = $new_instance['ad300half'];
		return $instance;
	}
	
	function form( $instance ) {
	
		?>

		<p><small><?php _e('For the banner to appear, you will have to do one of the following. If left blank, no ad will appear.','periodic'); ?></small></p>
		
		<p><small><?php _e('Self Hosted Banner Image: Enter the following code replacing the link URL and image URL with your own','periodic'); ?><br/>
		<code>&lt;a href&#61;&quot;OUTBOUND LINK URL&quot; title&#61;&quot;OUTBOUND LINK TITLE&quot;&gt;&lt;img src&#61;&quot;FULL PATH TO IMAGE&quot; width&#61;&quot;300&quot; height&#61;&quot;600&quot; alt&#61;&quot;YOUR ALT TEXT&quot; &#47;&gt;&lt;&#47;a&gt;</code></small></p>
		<p><small><?php _e('Ad Programs: Enter the the provided code.','periodic'); ?></small></p>
		
		<p><small><?php _e('Shortcode: Enter the the provided shortcode.','periodic'); ?></small></p>

		<p>
			<label for="<?php echo $this->get_field_id('ad300half'); ?>"><?php _e('300 x 600 Ad','periodic'); ?></label><br />
			<textarea class="widefat" rows="16" cols="20" id="<?php echo $this->get_field_id('ad300half'); ?>" name="<?php echo $this->get_field_name('ad300half'); ?>"><?php echo $instance['ad300half']; ?></textarea>
		</p>
				
		<?php		
	
	}
	
}

?>