<?php

/*
Plugin Name: Recent Video Sidebar Widget
Plugin URI: http://www.wearepixel8.com
Description: A widget that will display your most recent video post in your sidebar.
Version: 1.0
Author: We Are Pixel8
Author URI: http://www.wearepixel8.com
*/

// Add function to widgets_init that'll load this widget 
add_action( 'widgets_init', 'wap8_recent_video_widget' );

// Register this widget
function wap8_recent_video_widget() {
	register_widget( 'wap8_Recent_Video_Widget' );
}

// Extend WP_Widget by adding this widget class
class wap8_Recent_Video_Widget extends WP_Widget {

	// Widget setup
	function wap8_Recent_Video_Widget() {
		$widget_ops = array(
			'classname' => 'wap8_recent_video_widget',
			'description' => __( 'Display your most recent video post in your sidebar.', 'periodic' )
			);
			
		$this->WP_Widget('wap8-recent-video-widget', __( 'Periodic Recent Video', 'periodic' ), $widget_ops);	
	}
	
	// Saved widget display
	function widget( $args, $instance ) {
		extract($args);
		
		$title = apply_filters( 'widget_title', $instance['title'] );
		$linktext = $instance['linktext'];
		
		echo $before_widget;
		echo $before_title . $title . $after_title;

		global $post;
		$recent_video = new WP_Query('showposts=1&category_name=videos');
		$vid_cat_id = get_cat_ID('Videos');
		$vid_cat_link = get_category_link($vid_cat_id);
		while ( $recent_video -> have_posts() ) : $recent_video -> the_post(); ?>
			<div class="video-thumb">
				<?php if ( get_option('wap8_press75_on') == 'true' && p75HasVideo($post->ID) ) { ?>

				<?php if ( has_post_thumbnail() ) { ?>
				<p><?php the_post_thumbnail('thumbnail-sidebarvid'); ?></p>
				<?php } else { ?>
				<p><img src="<?php echo get_template_directory_uri(); ?>/images/thumbnails/thumbnail-sidebarvid.jpg" alt="<?php the_title_attribute(); ?>" width="290" height="215" /></p>
				<?php } ?>
				<p><a class="play-button play-sidebar" href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>"><?php _e('Play Video','periodic'); ?></a></p>
				
				<?php } else { ?>

				<?php if ( has_post_thumbnail() ) { ?>
				<p><?php the_post_thumbnail('thumbnail-sidebarvid'); ?></p>
				<?php } else { ?>
				<p><img src="<?php echo get_template_directory_uri(); ?>/images/thumbnails/thumbnail-sidebarvid.jpg" alt="<?php the_title_attribute(); ?>" width="290" height="215" /></p>
				<?php } ?>
				<p><a class="play-fancybox play-button play-sidebar" href="http://www.youtube.com/watch?v=<?php echo get_post_meta($post->ID, 'YouTube Video ID',true); ?>&amp;feature=player_embedded" title="<?php the_title_attribute(); ?>"><?php _e('Play Video','periodic'); ?></a></p>
				
				<?php } ?>
			</div>
						
			<div class="widget-vid-text">
				<h4><a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>" rel="bookmark"><?php the_title(); ?></a></h4>
				<p><a class="right-arrow" href="<?php echo $vid_cat_link; ?>" title="<?php echo $linktext; ?>" rel="bookmark"><?php echo $linktext; ?></a></p>
			</div>
			<?php endwhile; wp_reset_query();

		echo $after_widget;	
	}
	
	// Update widget
	function update( $new_instance, $old_instance ) {
		$instance = $old_instance;
		$instance['title'] = strip_tags( $new_instance['title'] );
		$instance['linktext'] = strip_tags( $new_instance['linktext'] );
		return $instance;
	}
	
	// Widget form
	function form( $instance ) {
		$defaults = array(
			'title' => __( 'Recent Video', 'periodic' ),
			'linktext'=> __( 'Browse all Videos', 'periodic' )
		);
		$instance = wp_parse_args( (array) $instance, $defaults );

		?>
		<p>
			<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e( 'Title', 'periodic' ); ?></label><br />
			<input class="widefat" type="text" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php echo $instance['title'];?>" />
		</p>
		
		<p>
			<label for="<?php echo $this->get_field_id( 'linktext' ); ?>"><?php _e( 'Link Text', 'periodic' ); ?></label><br />
			<input class="widefat" type="text" id="<?php echo $this->get_field_id( 'linktext' ); ?>" name="<?php echo $this->get_field_name( 'linktext' ); ?>" value="<?php echo $instance['linktext'];?>" />
		</p>
		
		<p><small><?php _e('<strong>Note:</strong> Before you add this widget to your sidebar widget area, make sure you have the following:','periodic'); ?></small></p>
		<ul>
			<li><small><?php _e('A category created with slug of <strong>&#145;videos&#146;</strong>.','periodic'); ?></small></li>
			<li><small><?php _e('At least one post in the category with a video and a chosen featured image.','periodic'); ?></small></li>
		</ul>
		
		<p><small><?php _e('<strong>This widget is intended for sidebar use only.</strong>','periodic'); ?></small></p>		
		<?php	
	}		
	
}

?>