<?php

/*
Plugin Name: Recent Posts from Current Categories
Plugin URI: http://www.wearepixel8.com
Description: A widget that will display recent posts from the categories of the post being read.
Version: 1.0
Author: We Are Pixel8
Author URI: http://www.wearepixel8.com
*/

// Add function to widgets_init that'll load this widget 
add_action( 'widgets_init', 'wap8_rp_currentcat_widget' );

// Register this widget
function wap8_rp_currentcat_widget() {
	register_widget( 'wap8_Rp_Currentcat_Widget' );
}

// Extend WP_Widget by adding this widget class
class wap8_Rp_Currentcat_Widget extends WP_Widget {

	// Widget setup
	function wap8_Rp_Currentcat_Widget() {
		$widget_ops = array(
			'classname' => 'wap8_rp_currentcat_widget',
			'description' => __( 'Display recent posts from the categories of the post being read.', 'periodic' )
			);
			
		$this->WP_Widget('wap8-rp-currentcat-widget', __( 'Periodic Recent Posts in Current Categories', 'periodic' ), $widget_ops);	
	}
	
	// Saved widget display
	function widget( $args, $instance ) {
		extract($args);
		
		$postcount = $instance['postcount'];
		
		?>

			<?php if ( is_single() ) : global $post;
				$categories = get_the_category();
				foreach ($categories as $category) : ?>
				
				<div class="sidebar-widget">
					<h3 class="widget-head"><?php _e('Recent from','periodic'); ?> <?php echo $category->name; ?> <?php _e('Category','periodic'); ?></h3>
					<ul class="related-category">
					<?php $posts = get_posts('numberposts='. $postcount .'&category='. $category->term_id);
						foreach($posts as $post) :
						setup_postdata($post);	
					?>
						<li><a href="<?php the_permalink(); ?>" rel="bookmark" title="<?php the_title_attribute(); ?>"><?php the_title(); ?></a> <span class="meta-info"><?php the_time('F d, Y'); ?></span></li>
					<?php endforeach; ?>
						<li class="highlight"><a href="<?php echo get_category_link($category->term_id);?>" title="<?php _e('Browse all Articles Posted in','periodic'); ?> <?php echo $category->name; ?>"><?php _e('Browse Archives for','periodic'); ?> <?php echo $category->name; ?></a></li>
					</ul>
				</div>
			<?php endforeach; endif ; ?>		
		
		<?php
		
	}
	
	// Update widget
	function update( $new_instance, $old_instance ) {
		$instance = $old_instance;
		$instance['postcount'] = (int) $new_instance['postcount'];
		return $instance;
	}
	
	// Widget form
	function form( $instance ) {

		if ( (int) $instance['postcount'] < 1 )
			(int) $intsance['postcount'] = 3;
		else if ( (int) $instance['postcount'] > 10 )
			(int) $instance['postcount'] = 10;
			
		?>
		<p><small><?php _e('Use this widget to display a list of additional posts, in a post&#146;s sidebar, from the categories assigned to that post. There will be a separate list of posts for each category. This means, if a post has three categories assigned to it, there will be three lists. You have to option to determine how many posts to show. This widget will only appear in the sidebar of a post. <strong>This widget is intended for sidebar use only.</strong>','periodic'); ?></small></p>
		
		<p>
			<label for="<?php echo $this->get_field_id('postcount'); ?>"><?php _e('Posts to Show','periodic'); ?></label>
			<input type="text" id="<?php echo $this->get_field_id('postcount'); ?>" name="<?php echo $this->get_field_name('postcount'); ?>" value="<?php echo $instance['postcount'];?>" size="3" maxlength="2" /> <small><?php _e('Max: 10','periodic'); ?></small>
		</p>
		<?php

	}	
	
}

?>