<?php

/*
Plugin Name: Recent Video Sidebar Widget
Plugin URI: http://www.wearepixel8.com
Description: A search form sidebar widget desigend & developed exclusively for Periodic
Version: 1.0
Author: We Are Pixel8
Author URI: http://www.wearepixel8.com
*/


// Add function to widgets_init that'll load this widget 
add_action( 'widgets_init', 'wap8_search_form_widget' );

// Register this widget
function wap8_search_form_widget() {
	register_widget( 'wap8_Search_Form_Widget' );
}

// Extend WP_Widget by adding this widget class
class wap8_Search_Form_Widget extends WP_Widget {

	// Widget setup
	function wap8_Search_Form_Widget() {
		$widget_ops = array(
			'classname' => 'wap8_search_form_widget',
			'description' => __( 'Display a custom designed search form in your sidebar.', 'periodic' )
			);
			
		$this->WP_Widget('wap8-search-form-widget', __( 'Periodic Search Form', 'periodic' ), $widget_ops);	
	}

	// Saved widget display
	function widget( $args, $instance ) {
		extract($args);
		
		?>
			<?php if ( is_search() ) { ?>
			<form class="search-form" action="<?php echo home_url(); ?>/" method="get"><!-- Begin search form -->
				<fieldset>
					<label for="s"><?php _e('Search Form','periodic'); ?></label>
					<input id="s" name="s" type="text" onblur="if (this.value == '') {this.value = '<?php the_search_query(); ?>';}" onfocus="if (this.value == '<?php the_search_query(); ?>') {this.value = '';}" value="<?php the_search_query(); ?>" />
					<input id="search-submit" type="image" src="<?php echo get_template_directory_uri(); ?>/images/misc/search.png" />
				</fieldset>
			</form><!-- End search form -->
			<?php } else { ?>
			<form class="search-form" action="<?php echo home_url(); ?>/" method="get"><!-- Begin search form -->
				<fieldset>
					<label for="s"><?php _e('Search Form','periodic'); ?></label>
					<input id="s" name="s" type="text" onblur="if (this.value == '') {this.value = '<?php _e('Search the','periodic'); ?> <?php bloginfo('name'); ?> <?php _e('site','periodic'); ?>';}" onfocus="if (this.value == '<?php _e('Search the','periodic'); ?> <?php bloginfo('name'); ?> <?php _e('site','periodic'); ?>') {this.value = '';}" value="<?php _e('Search the','periodic'); ?> <?php bloginfo('name'); ?> <?php _e('site','periodic'); ?>" />
					<input id="search-submit" type="image" src="<?php echo get_template_directory_uri(); ?>/images/misc/search.png" />
				</fieldset>
			</form><!-- End search form -->			
			<?php } ?>
		<?php		
		
	}

	// Update widget
	function update( $new_instance, $old_instance ) {
		$instance = $old_instance;
		return $instance;
	}
	
	function form( $instance ) {
	
		?>

		<p><?php _e('Drag this widget to the location you would like your Periodic Search Form to appear and click Save. This widget is intended for <strong>Sidebar use only</strong>. We recommend placing one in each of your sidebars. Do not use this widget in your Footer area. Use the default WordPress Search Widget if you want to have a Search Form in your Footer.','periodic'); ?></p>
		<p><?php _e('<strong>Very Important:</strong> You can only have one search form active. This means that you cannot have a form in the sidebar and a form in the footer. You must choose one or the other.','periodic'); ?></p>
		
		<?php		
	
	}	

}

?>