<?php

/*
Plugin Name: Twitter Feed Widget
Plugin URI: http://www.wearepixel8.com
Description: A widget that will display recent tweets from a designated Twitter account.
Version: 1.0
Author: We Are Pixel8
Author URI: http://www.wearepixel8.com
*/

// Add function to widgets_init that'll load this widget 
add_action( 'widgets_init', 'wap8_twitter_feed_widget' );

// Register this widget
function wap8_twitter_feed_widget() {
	register_widget( 'wap8_Twitter_Widget' );
}

// Extend WP_Widget by adding this widget class
class wap8_Twitter_Widget extends WP_Widget {

	// Widget setup
	function wap8_Twitter_Widget() {
		$widget_ops = array(
			'classname' => 'wap8_twitter_widget',
			'description' => __( 'Display recent Tweets from a designated Twitter account.', 'periodic' )
			);
			
		$this->WP_Widget('wap8-twitter-widget', __( 'Periodic Twitter Feed', 'periodic' ), $widget_ops);	
	}
	
	// Saved widget display
	function widget( $args, $instance ) {
		extract($args);
		
		$title = apply_filters( 'widget_title', $instance['title'] );
		$twitter_user = $instance['twitter_user'];
		$twitter_link = $instance['twitter_link'];
		$tweet_count = $instance['tweet_count'];
		
		echo $before_widget;
		echo $before_title . $title . $after_title;
		?>
			<ul id="twitter_update_list"><li><?php _e( 'Loading Tweets', 'periodic' ); ?></li></ul>
			<p class="twitter-follow"><a href="http://twitter.com/<?php echo $twitter_user; ?>" title="<?php echo $twitter_link; ?>"><?php echo $twitter_link; ?> &#8594;</a></p>
			
			<script type="text/javascript" src="http://twitter.com/javascripts/blogger.js"></script>
			<script type="text/javascript" src="http://twitter.com/statuses/user_timeline/<?php echo $twitter_user; ?>.json?callback=twitterCallback2&amp;count=<?php echo $tweet_count; ?>"></script>	
		<?php
		echo $after_widget;	
	}
	
	// Update widget
	function update( $new_instance, $old_instance ) {
		$instance = $old_instance;
		$instance['title'] = strip_tags( $new_instance['title'] );
		$instance['twitter_user'] = strip_tags( $new_instance['twitter_user'] );
		$instance['twitter_link'] = strip_tags( $new_instance['twitter_link'] );
		$instance['tweet_count'] = (int) $new_instance['tweet_count'];
		return $instance;
	}
	
	// Widget form
	function form( $instance ) {
		$defaults = array(
			'title' => __( 'Twitter Feed', 'periodic' ),
			'twitter_link'=> __( 'Follow us on Twitter', 'periodic' )
		);
		$instance = wp_parse_args( (array) $instance, $defaults );

		if ( (int) $instance['tweet_count'] < 1 )
			(int) $intsance['tweet_count'] = 5;
		else if ( (int) $instance['tweet_count'] > 10 )
			(int) $instance['tweet_count'] = 10;

		?>
		<p>
			<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e( 'Title', 'periodic' ); ?></label><br />
			<input class="widefat" type="text" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php echo $instance['title'];?>" />
		</p>
		
		<p>
			<label for="<?php echo $this->get_field_id( 'twitter_user' ); ?>"><?php _e( 'Twitter Username', 'periodic' ); ?></label><br />
			<input class="widefat" type="text" id="<?php echo $this->get_field_id( 'twitter_user' ); ?>" name="<?php echo $this->get_field_name( 'twitter_user' ); ?>" value="<?php echo $instance['twitter_user'];?>" />
		</p>
		
		<p>
			<label for="<?php echo $this->get_field_id( 'tweet_count' ); ?>"><?php _e( 'Tweets to Show', 'periodic' ); ?></label>
			<input type="text" id="<?php echo $this->get_field_id( 'tweet_count' ); ?>" name="<?php echo $this->get_field_name( 'tweet_count' ); ?>" value="<?php echo $instance['tweet_count'];?>" size="3" maxlength="2" /> <small><?php _e( 'Max: 10', 'periodic' ); ?></small>
		</p>
		
		<p>
			<label for="<?php echo $this->get_field_id( 'twitter_link' ); ?>"><?php _e( 'Follow Link Text', 'periodic'); ?></label><br />
			<input class="widefat" type="text" id="<?php echo $this->get_field_id( 'twitter_link' ); ?>" name="<?php echo $this->get_field_name( 'twitter_link' ); ?>" value="<?php echo $instance['twitter_link'];?>" />
		</p>		
		<?php	
	}

}

?>